def http = new HttpClient('http://localhost:5984/')

def createDb = { name ->
    def resp = http.put(path: "/${name}")
    println "Create DB ${name}: status = ${resp.status}, data = ${resp.data}"
}

def deleteDb = { name ->
    def resp = http.delete(path: "/${name}")
    println "Delete DB ${name}: status = ${resp.status}, data = ${resp.data}"
}

def listDbs = { ->
    def resp = http.get(path: '/_all_dbs')
    println "List DBs: status = ${resp.status}, data = ${resp.data}"
}

listDbs()
createDb 'pokus1'
createDb 'pokus2'
listDbs()
deleteDb 'pokus1'
deleteDb 'pokus2'
listDbs()

createDb 'pokus'
